# Uses of Class
net.sf.statcvs.model.SymbolicName

Packages that use SymbolicName
Package
Description
net.sf.statcvs.charts
net.sf.statcvs.input
This package is responsible for parsing CVS logs and working copy and creating a StatCVS model from them.
net.sf.statcvs.model
Classes providing a representation of all log data in a repository.
net.sf.statcvs.pages
net.sf.statcvs.pages.xml

## Uses of SymbolicName in net.sf.statcvs.charts

Constructors in net.sf.statcvs.charts with parameters of type SymbolicName
Modifier
Constructor
Description
``
`SymbolicNameAnnotation(SymbolicName symbolicName, Collection all, int style)`
Creates an annotation for a symbolic name.

## Uses of SymbolicName in net.sf.statcvs.input

Methods in net.sf.statcvs.input that return SymbolicName
Modifier and Type
Method
Description
`SymbolicName`
Builder.`getSymbolicName(String name)`
Returns the `SymbolicName` with the given name or creates it if it does not yet exist.

## Uses of SymbolicName in net.sf.statcvs.model

Methods in net.sf.statcvs.model that return SymbolicName
Modifier and Type
Method
Description
`SymbolicName`
Repository.`getHead()`
A special symbolic name that contains the latest revision of every file.

## Uses of SymbolicName in net.sf.statcvs.pages

Methods in net.sf.statcvs.pages with parameters of type SymbolicName
Modifier and Type
Method
Description
`static String`
CommitLogPageMaker.`getAnchor(SymbolicName tag)`

## Uses of SymbolicName in net.sf.statcvs.pages.xml

Methods in net.sf.statcvs.pages.xml with parameters of type SymbolicName
Modifier and Type
Method
Description
`static String`
LogXmlMaker.`getAnchor(SymbolicName tag)`
`static String`
RevisedFilesXml.`getAnchor(SymbolicName tag)`